Summary: asp2php converts WWW Active Server Pages to PHP pages
Name: asp2php
Version: 0.76.15
Release: 1m
License: GPL
Group: Development/Tools
Source0: http://www.mikekohn.com/asp2php/%{name}-%{version}.tar.gz
URL: http://asp2php.naken.cc/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk+1-devel, glibc-devel, make, gcc
NoSource: 0

%package gtk
Summary: gtk+1 frontend for asp2php
Group: Development/Tools
Requires: %{name} = %{version}

%description
asp2php converts WWW Active Server Pages (ASP) files that run on the Microsoft
IIS Web Server into PHP pages to run on Apache.

%description gtk
gtk+1 frontend to asp2php

%prep
%setup -q
perl -pi -e "s/gcc/gcc %{optflags}/g" Makefile

%build
make
make gui

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
cp -f asp2php gtkasp2php %{buildroot}/usr/bin

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
/usr/bin/asp2php

%files gtk
%defattr(0755,root,root)
/usr/bin/gtkasp2php

%changelog
* Mon Mar 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.76.15-1m)
- update to 0.76.15
- change Source0 URI

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (0.76.8-2k)
- version up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.75.22-4k)
- /usr/bin/gcc -> gcc in BuildPreReq.

* Mon Oct 22 2001 Toru Hoshina <t@kondara.org>
- (0.75.22-2k)
- version up.

* Thu Mar 29 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 0.75.13
  fix source URL

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.11

* Sat Aug 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.5

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix documentation (Bug #14330)
- 0.75.2

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- 0.75.1, and license changes to GPL

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.0

* Sun Jun 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- It's official now: GPL

* Fri Jun  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- build in main dist, now that it's open-sourced.

* Tue May 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.74.3, now that we have PHP 4.x...
- update URL
- REALLY fix munged summary for asp2php-gtk

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- fixed munged groups/descriptions/summaries

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
